create table calendar (
	eventid serial
	primary key,
	eventname varchar(128),
	eventdate date,
	starttime time,
	endtime time,
	description text,
	recur int,
	enddate date,
	userid int,
	reminderid int,
	sharing int2
);

create index calendar_recur_ind on calendar (recur);
create index calendar_userid_ind on calendar (userid);

create table reminder (
	reminderid serial
	primary key,
	email varchar(128),
	seconds int
);
