create table holiday (
	holidayid serial
	primary key,
	userid int,
	name varchar(64),
	abbreviation varchar(5),
	rule varchar(64),
	consecutive int,
	samedate date
);

create table holiday_cache (
	holidayid int,
	userid int,
	sdate date
);

create index holiday_cache_holidayid_ind on holiday_cache (holidayid);
create index holiday_cache_userid_ind on holiday_cache (userid);
