CREATE TABLE users (
	userid serial
	primary key,
	username varchar(16),
	password varchar(64), 
	first_name varchar(64),
	last_name varchar(64), 
	country varchar(64),  
	zipcode varchar(16),
	gender boolean,     
	question varchar(128),
	answer varchar(128),
	plain_text varchar(64),                 
	email varchar(128),                     
	website varchar(256),
	signature text
);


create table preferences (
	userid int
	primary key,
	view int2,
	sharing int2,
	start_work time,
	end_work time,
	time_format boolean
);

create table sharing_allowed (
	userid int,           
	allowed_userid int
);                        
  
create index sharing_userid_ind on sharing_allowed (userid);
create index sharing_allowed_userid_ind on sharing_allowed (allowed_userid);
